hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Helmling (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-4180) HBase should check the isSecurityEnabled flag
Date Tue, 09 Aug 2011 05:38:27 GMT

    [ https://issues.apache.org/jira/browse/HBASE-4180?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13081452#comment-13081452
] 

Gary Helmling commented on HBASE-4180:
--------------------------------------

@Bochun

No, unfortunately that would break the ability to compile (or run) HBase against non-secure
Hadoop.

See the two attached patches (one for branch 0.90, one for trunk).  I assume you are running
a 0.90 release?  Please try applying the 0.90 version of the patch and see if that fixes the
problem for you.

I will be testing the patch as well against Hadoop 0.20.2, and a 0.20-security version.

> HBase should check the isSecurityEnabled flag
> ---------------------------------------------
>
>                 Key: HBASE-4180
>                 URL: https://issues.apache.org/jira/browse/HBASE-4180
>             Project: HBase
>          Issue Type: Bug
>          Components: security
>            Reporter: Bochun Bai
>            Assignee: Bochun Bai
>         Attachments: HBASE-4180.patch, HBASE-4180_0.90.patch, HBASE-4180_trunk.patch
>
>
> Hadoop 0.21.0's UserGroupInfomation support the security check flag and always returns
false.
> HBase should check both the method existence and the return value.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message